//////////////////////////////////////////////////////////////////////////
//	"dev_storagegethotpluginf.cpp"
//------------------------------------------------------------------------
//	$Id: dev_getmediatypename.cpp 94 2006-09-20 08:51:21Z taro $
//////////////////////////////////////////////////////////////////////////

#include	"devctl.h"

const TCHAR *	DevCtl::GetMediaTypeName(int mediatype) // static
{
	const TCHAR	   *text;

	switch ( mediatype )
	{
		case F5_1Pt2_512:
		case F5_360_512:
		case F5_320_512:
		case F5_320_1024:
		case F5_180_512:
		case F5_160_512:
		case F5_640_512:
		case F5_720_512:
		case F5_1Pt23_1024:
			text = TEXT("5.25 floppy");
			break;

		case F3_1Pt44_512:
		case F3_2Pt88_512:
		case F3_20Pt8_512:
		case F3_720_512:
		case F3_120M_512:
		case F3_640_512:
		case F3_1Pt2_512:
		case F3_1Pt23_1024:
		case F3_128Mb_512:
		case F3_230Mb_512:
		case F3_200Mb_512:
		case F3_240M_512:
		case F3_32M_512:
			text = TEXT("3.5 floppy");
			break;

		case F8_256_128:
			text = TEXT("8 floppy");
			break;

		case RemovableMedia:
			text = TEXT("Removable");
			break;

		case FixedMedia:
			text = TEXT("Fixed");
			break;

		case Unknown:
		default:
			text = TEXT("Unknown");
			break;
		
	}
	return text;
}
