//////////////////////////////////////////////////////////////////////////
//	"sc_passthrough.cpp"
//------------------------------------------------------------------------
//	$Id: sc_passthrough.cpp 94 2006-09-20 08:51:21Z taro $
//////////////////////////////////////////////////////////////////////////

#include	<windows.h>
#include	"devctl.h"

int		DevCtl::ScsiPassThrough(unsigned insize, SCSI_PASS_THROUGH * inspt, unsigned outsize, SCSI_PASS_THROUGH * outspt)
{
	DWORD	dwSize;

#if	defined(DEVCTL_USE_MD4RNET)
	if ( this->IsNetDevice() )
	{
		return this->NetScsiCommand(insize, inspt, outsize, outspt);
	}
#endif
	if ( this->DeviceIoControl(IOCTL_SCSI_PASS_THROUGH, (void *)inspt, insize, (void *)outspt, outsize, &dwSize) == 0 )
		return -1;

	return (int)dwSize;
}

