/*************************************************************************
*	"crc16.h"
*-------------------------------------------------------------------------
*	$Id: crc16.h 94 2006-09-20 08:51:21Z taro $
*************************************************************************/
#ifndef	CRC16_H_INCLUDED
#define	CRC16_H_INCLUDED

#ifdef	__cplusplus
  extern "C" {
#endif

typedef unsigned long	crc16_t;

typedef struct Crc16work_tag
{
	crc16_t		r;
} Crc16work;

extern void		crc16xm_init(Crc16work * crcwork);
extern void		crc16xm_calc(Crc16work * crcwork, int n, const void * c);
extern crc16_t	crc16xm_getcrc(Crc16work * crcwork);
extern void		crc16xm_term(Crc16work * crcwork);

extern void		crc16cc_init(Crc16work * crcwork);
extern void		crc16cc_calc(Crc16work * crcwork, int n, const void * c);
extern crc16_t	crc16cc_getcrc(Crc16work * crcwork);
extern void		crc16cc_term(Crc16work * crcwork);

#ifdef	__cplusplus
}
#endif
#endif
