//////////////////////////////////////////////////////////////////////////
//	"md4r_sock.h"
//------------------------------------------------------------------------
//	$Id: md4r_sock.h 94 2006-09-20 08:51:21Z taro $
//////////////////////////////////////////////////////////////////////////
#ifndef	MD4R_SOCK_H_INCLUDED
#define	MD4R_SOCK_H_INCLUDED

#include	"socklib.h"
#include	"threadlib.h"
//#include	"sqstr.h"
#include	"md4rnet.h"

class	MD4R_Sock : public SockLib
{
public:
	int			recv_timeout;
	int			send_timeout;

	struct devwork_tag
	{
		char *		hostname;	// allocate
		int			port;
		SockAddr	hostaddr;
	} devwork;

public:
	static const BYTE	md4r_net_id[MD4R_NET_ID_LENGTH];
	static const BYTE	md4r_version_id[MD4R_VERSION_ID_LENGTH];
	static const BYTE	md4r_marker_scdb[MD4R_NET_MARKER_LENGTH];
	static const BYTE	md4r_marker_end [MD4R_NET_MARKER_LENGTH];

public:
	MD4R_Sock();
	virtual ~MD4R_Sock();
	int			SetHostName(const char * hostname);
	int			Read(unsigned size, void * buffer);
	int			ReadDummy(unsigned size);
	int			ReadHeader(MD4R_NetCmnHead * chead, unsigned size);
	int			Write(unsigned size, const void * buffer);

	static int		GetNetDrivePath(const TCHAR ** p, unsigned hostsize, TCHAR * host, int * port, int * pathId, int * targetId, int * lun);
};


#endif
