//////////////////////////////////////////////////////////////////////////
//	"dev_cdromreadtoc.cpp"
//------------------------------------------------------------------------
//	$Id: dev_cdromreadtoc.cpp 94 2006-09-20 08:51:21Z taro $
//////////////////////////////////////////////////////////////////////////

#include	"devctl.h"

int		DevCtl::CdromReadToc(unsigned size, CDROM_TOC * toc)
{
	DWORD		dwByteRet;

	if ( this->DeviceIoControl( IOCTL_CDROM_READ_TOC,
	  NULL, 0,						// input
	  (void *) toc, size,	// output
	  &dwByteRet) == FALSE )
		return -1;	// error
	return 0;
}

int		DevCtl::CdromReadToc(DevCtl::SCSITOCDATA & toc)
{
	return this->CdromReadToc(sizeof(toc), (CDROM_TOC *)&toc);
}

