//////////////////////////////////////////////////////////////////////////
//	"devntscsi.cpp"
//------------------------------------------------------------------------
//	$Id: devntscsi.cpp 81 2006-05-24 06:56:21Z taro $
//////////////////////////////////////////////////////////////////////////

#include	<windows.h>
#include	<stddef.h>
#include	<tchar.h>
#include	<stdio.h>
#include	<ctype.h>
#include	"devctl.h"

//////////////////////////////////////////////////////////////////////////
//	 ScsiDevData

DevCtl::ScsiDevData::ScsiDevData()
{
	this->numBus = 0;
	this->busData = NULL;
}

DevCtl::ScsiDevData::~ScsiDevData()
{
	if ( this->busData != NULL )
	{
		delete [] this->busData;
		this->busData = NULL;
	}
}

//////////////////////////////////////////////////////////////////////////
//	 ScsiBusData

DevCtl::ScsiBusData::ScsiBusData()
{
	this->numUnits = 0;
	this->busId = 0;
	this->inqData = NULL;
}

DevCtl::ScsiBusData::~ScsiBusData()
{
	if ( this->inqData != NULL )
	{
		delete [] this->inqData;
		this->inqData = NULL;
	}
}

//////////////////////////////////////////////////////////////////////////
//	 ScsiInqData

DevCtl::ScsiInqData::ScsiInqData()
{
	this->pathId     = 0;
	this->targetId   = 0;
	this->lun        = 0;
	this->devClaimed = FALSE;
	this->size       = 0;
	this->data       = NULL;
	this->unknownId  = FALSE;
}

DevCtl::ScsiInqData::~ScsiInqData()
{
	if ( this->data != NULL )
	{
		delete [] this->data;
		this->data = NULL;
	}
}

int		DevCtl::ScsiCheckCondition(BYTE * senseData)
{
	if ( senseData[7] < 10 )
		return 0;	// error
	return senseData[12] == 0x23 || senseData[12] == 0x28 ? 1 : 0;
}

